aboutsummaryrefslogtreecommitdiff
path: root/net/ddns-scripts/files/usr/lib
diff options
context:
space:
mode:
authorFlorian Eckert <fe@dev.tdt.de>2021-06-22 10:07:22 +0200
committerFlorian Eckert <fe@dev.tdt.de>2021-06-22 10:13:09 +0200
commit036079b308a6e1ba1ac690a1643264696780ae5e (patch)
treee503c6c94541d89cc4a6c7425ac9596e85340077 /net/ddns-scripts/files/usr/lib
parentc9ca45bbb3ebfb7cd9956cd4de837f487d566a42 (diff)
ddns-scripts: get l3 device for bind network using curl
If pppoe is used for wan access. script set 'eth1' as interface for curl call. The correct interface is however 'pppoe-wan'. The script uses 'network_get_physdev' function to get real device for bind_network but this is wrong. We need instead the l3_device of the the logical interface. In case if we don't use pppoe connection - 'l3_device' is equal to real device. This was reported by the github user `welderpb` with P/R: https://github.com/openwrt/packages/pull/14431 Signed-off-by: Florian Eckert <fe@dev.tdt.de>
Diffstat (limited to 'net/ddns-scripts/files/usr/lib')
-rw-r--r--net/ddns-scripts/files/usr/lib/ddns/dynamic_dns_functions.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/net/ddns-scripts/files/usr/lib/ddns/dynamic_dns_functions.sh b/net/ddns-scripts/files/usr/lib/ddns/dynamic_dns_functions.sh
index 2a677785e..f36d11ca7 100644
--- a/net/ddns-scripts/files/usr/lib/ddns/dynamic_dns_functions.sh
+++ b/net/ddns-scripts/files/usr/lib/ddns/dynamic_dns_functions.sh
@@ -758,8 +758,8 @@ do_transfer() {
# force network/interface-device to use for communication
if [ -n "$bind_network" ]; then
local __DEVICE
- network_get_physdev __DEVICE $bind_network || \
- write_log 13 "Can not detect local device using 'network_get_physdev $bind_network' - Error: '$?'"
+ network_get_device __DEVICE $bind_network || \
+ write_log 13 "Can not detect local device using 'network_get_device $bind_network' - Error: '$?'"
write_log 7 "Force communication via device '$__DEVICE'"
__PROG="$__PROG --interface $__DEVICE"
fi